#### 7.10.1.3 teach_lpKDim

Procedure from library `fpadim.lib` (see fpadim_lib).

Usage:
  teach_lpKDim(G[,degbound, n]); G an ideal, degbound, n optional integers

Return:
  int, the K-dimension of the factor algebra

Purpose:
  Compute the K-dimension of a factor algebra, given via an ideal

Assume:
  - basering is a Letterplace ring
  - if you specify a different degree bound degbound,
  degbound <= attrib(basering,uptodeg) holds.

Note:
  - If degbound is set, there will be a degree bound added. 0 means no
  degree bound. Default: attrib(basering, uptodeg).
  - n is the number of variables, which can be set to a different number.
  Default: attrib(basering, lV).
  - If the K-dimension is known to be infinite, a degree bound is needed

Example:

    LIB "fpadim.lib";
    ring r = 0,(x,y),dp;
    def R = freeAlgebra(r, 5); // constructs a Letterplace ring
    setring R; // sets basering to Letterplace ring
    ideal G = x*x, y*y,x*y*x;
    // ideal G contains a Groebner basis
    teach_lpKDim(G); //procedure invoked with ring parameters
    ==> 6
    // the factor algebra is finite, so the degree bound given by the Letterplace
    // ring is not necessary
    teach_lpKDim(G,0); // procedure without any degree bound
    ==> 6

User manual for Singular version 4.4.1, 2025, generated by texi2html.